Subject: bug#22574: 24.5; Mouse pointer border color is set to `Emacs.background` value defined in ~/.Xresources

From: "Basil L. Contovounesios" <[email-masked]>
Date: Fri, 12 Feb 2021 18:08:08 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Michal Rus <[email-masked]> writes:
>
>> 1. $ printf 'Emacs.background: #ff0000\nEmacs.pointerColor: #00ff00\n'
>>> ~/.Xresources
>>
>> 2. $ emacs
>>
>> 3. Evaluate: (set-background-color "blue")
>>
>> 4. The pointer border is red…
>>
>> There seems to be no .Xresources setting to change the border. Other
>> applications use *pointerColor2 or *pointerColorBackground to define
>> this color.
>
> Sounds like a good idea, but when testing this stuff out, I can't really
> find that Emacs reacts to pointerColor at all.  I've tried different
> toolkits, but the pointer stubbornly is black with a white outline no
> matter what I do.  The -mc parameter has no effect for me, either.
>
> Anybody know what's going on?  Perhaps Gnome Shell is overriding the
> colours somehow?

Are you remembering to override / merge into the current database the
modified ~/.Xresources settings?

  $ xrdb ~/.Xresources        # replace current settings
  $ xrdb -merge ~/.Xresources # merge with current settings

Thanks,

-- 
Basil